%define oname   rubyforge

Name:       ruby-%{oname}
Version:    2.0.4
Release:    %mkrel 12
Summary:    A script which automates a limited set of rubyforge operations
Group:      Development/Ruby
License:    MIT
URL:        http://codeforpeople.rubyforge.org/rubyforge/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(hoe) >= 2.6.2
BuildRequires: rubygem(json)
BuildRequires: rubygem(minitest)
BuildArch:  noarch

%description
A script which automates a limited set of rubyforge operations.

* Run 'rubyforge help' for complete usage.
* Setup: For first time users AND upgrades to 0.4.0:
  * rubyforge setup (deletes your username and password, so run sparingly!)
  * edit ~/.rubyforge/user-config.yml
  * rubyforge config
* For all rubyforge upgrades, run 'rubyforge config' to ensure you have
latest.

%files
%{_bindir}/rubyforge
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_instdir}/History.txt
%{gem_instdir}/Manifest.txt
%{gem_instdir}/README.txt
%{gem_instdir}/Rakefile
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

#fix shebang
sed -i '/^#!/d' %{buildroot}%{gem_instdir}/lib/rubyforge.rb


%changelog
* Wed Feb 17 2016 umeabot <umeabot> 2.0.4-12.mga6
+ Revision: 963872
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.4-11.mga5
+ Revision: 741339
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.4-10.mga5
+ Revision: 688949
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 2.0.4-9.mga4
+ Revision: 562479
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-8.mga4
+ Revision: 535873
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 2.0.4-7.mga4
+ Revision: 482764
- update file list
- use gem_setup
- revert to minitest
- try building with ruby-test-unit

* Fri Feb 08 2013 umeabot <umeabot> 2.0.4-6.mga3
+ Revision: 396427
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.0.4-5.mga3
+ Revision: 381419
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 2.0.4-4.mga3
+ Revision: 311962
- br minitest for test
- br json for test
- rebuild for new ruby

* Wed Jan 26 2011 shikamaru <shikamaru> 2.0.4-3.mga1
+ Revision: 39705
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 2.0.4-1.mga1
+ Revision: 34638
- imported package ruby-rubyforge


* Thu Jan 20 2011 Remy CLOUARD <shikamaru@myoboku.shikamaru.fr> - 2.0.4-1
- Apply new ruby policy

* Sat Sep 18 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.4-1mdv2011.0
+ Revision: 579405
- new release: 2.0.4
- don't install gem archive
- rebuild for new automatic requires/provides

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 500339
- import rubygem-rubyforge


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.0.3-1
- initial release
